Обход ограничений безопасности в Openfire

Дата публикации:
19.05.2009
Дата изменения:
19.05.2009
Всего просмотров:
2298
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2009-1595
CVE-2009-1596
Вектор эксплуатации:
Удаленная
Воздействие:
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Openfire 3.6.x
Уязвимые версии: Openfire 3.6.3, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю обойти некоторые ограничения безопасности.

Уязвимость существует из-за того, что приложение недостаточно проверяет подлинность запросов на смену пароля, и не принимает во внимание настройку "no password changes". Удаленный пользователь может с помощью jabber:iq:auth "passwd_change" запроса изменить пароли пользователей.

URL производителя: www.igniterealtime.org/projects/openfire/index.jsp

Решение: Установите последнюю версию 3.6.4 с сайта производителя.

Ссылки: http://www.igniterealtime.org/issues/browse/JM-1531
http://www.igniterealtime.org/issues/browse/JM-1532
http://www.igniterealtime.org/community/message/190288#190288

или введите имя

CAPTCHA